!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!$BI=Bj(B: $B4pK\E*$JJ*M}NL(B
!$BMzNr(B: 2003/08/25: shuron/2d-ice-model/prm.f90 $B$+$iJ,4t(B
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
module prmphys
  implicit none



!--------------------------------------------------------!
!  $BJ*M}Dj?t!&%Q%i%a!<%?(B                                  !
!--------------------------------------------------------!

  real(8)    , parameter :: s_a   = 60.0D0 * 60.D0 * 24.D0 * 365.D0 
                                                      ! second/year
  real(8)    , parameter :: rho   = 910.0D0           ! $BI9$NL)EY(B kg/m^{-3}
  real(8)    , parameter :: rhoM  = 3300.0D0          ! $B%^%s%H%k$NL)EY(B kg/m^{-3}
  real(8)    , parameter :: grav  = 9.80065D0         ! $B=ENO2CB.EY(B m/s^{-2}
  real(8)    , parameter :: Npw   = 3.0D0             ! Flow law $B$N6R(B 

  real(8)    , parameter :: gamma = 42.D-3            ! $BCO3LG.N.NL(B W/m^{-2}
  real(8)    , parameter :: c_p   = 2009.0D0          ! $BHfG.(B J kg^{-1} K^{-1}
  real(8)    , parameter :: k_ice = 2.1D0             ! $BG.EAF3EY(B W m^{-1}K^{-1}
    real(8)    , parameter :: L_ice = 3.35D5           ! $BI9$N@xG.(B J kg^{-1}
  real(8)    , parameter :: R_con = 8.31480D0         ! $B5$BNDj?t(B J/(mol K)

  real(8)    , parameter :: tau   = 3000D0*s_a            ! $BE,Ev$J;~Dj?t(B


! $B29EY0lDj$N>l9g(B

  real(8)    , parameter :: A_con =   1.D-16 / s_a  ! Flow law $B$N78?t(B
                                                   ! n = 3(T = 273 K)

! real(8)    , parameter :: A     = 3.17D-19       ! n = 2(T = 273 K)
! real(8)    , parameter :: A     = 3.17D-29       ! n = 4(T = 273 K)
! real(8)    , parameter :: A     = 4.375D-25      ! n = 3(T = 263 K)
! real(8)    , parameter :: A     = 4.375D-20      ! n = 2(T = 263 K)
! real(8)    , parameter :: A     = 4.375D-30      ! n = 4(T = 263 K)





  real(8)    , parameter  :: grad_Ms = 0.01D0/1.0D3  ! $B$+$sM\N($N8{G[(B m/s km
  real(8)    , parameter  :: Rel     = 450D3          ! $BI9>2$ND:E@$+$i(B ELA $B$^$G$N5wN%(B m 
  real(8)    , parameter   :: beta    = 8.7D-4     ! K/m $BI98|$KH<$&M;2r29EYJQ2=(B

  real(8)    , parameter  :: Mcycle = 4.0D4! $B6-3&>r7o$N;~4VJQ2=$r5/$3$9;~$N<~4|(B

end module prmphys




